<template>
  <div class="container-xxl">
    <div class="row mt-5">
      <div class="col-12">
        <div class="card card-flush shadow-sm">
          <div class="card-header d-flex flex-column flex-md-row">
            <h3 class="card-title fw-bolder text-dark">
              Lista de tipos de ganados
            </h3>
            <div class="card-toolbar justify-content-end">
              <button
                class="btn btn-success shadow-sm"
                data-bs-toggle="modal"
                data-bs-target="#modal_tipo_ganado_crear"
              >
                <i class="bi bi-plus-lg fs-4 me-2" />Agregar
              </button>
              <button
                class="btn btn-primary ms-5"
                @click="onTipoGanadoListar()"
              >
                <i class="bi bi-arrow-clockwise fs-4 me-2" />Actualizar
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-12">
        <tabla-listar
          ref="tablaTipoGanadoListar"
          @on-tipo-ganado-editar="onTipoGanadoEditar"
          @on-tipo-ganado-eliminar="onTipoGanadoEliminar"
        />
      </div>
    </div>

    <modal-crear @on-tipo-ganado-listar="onTipoGanadoListar" />
    <modal-editar
      :tipo-ganado="sTipoGanado"
      @on-tipo-ganado-listar="onTipoGanadoListar"
    />
    <modal-eliminar
      :tipo-ganado="sTipoGanado"
      @on-tipo-ganado-listar="onTipoGanadoListar"
    />
  </div>
</template>
<script>
import TablaListar from '@/components/panel/tipo_ganado/TablaTipoGanadoListar.vue';
import ModalCrear from '@/components/panel/tipo_ganado/ModalTipoGanadoCrear.vue';
import ModalEditar from '@/components/panel/tipo_ganado/ModalTipoGanadoEditar.vue';
import ModalEliminar from '@/components/panel/tipo_ganado/ModalTipoGanadoEliminar.vue';

import Clonar from '@/core/util/Clonar.js';

export default {
  name: 'TipoGanadoListar',
  components: {
    TablaListar, ModalCrear, ModalEditar, ModalEliminar
  },

  data() {
    return {
      sTipoGanado: {},
    }
  },

  methods: {
    onTipoGanadoListar() {
      this.$refs.tablaTipoGanadoListar.onTipoGanadoListar();
    },

    onTipoGanadoEditar(tipoGanado) {
      this.sTipoGanado = Clonar.clon(tipoGanado);
    },

    onTipoGanadoEliminar(tipoGanado) {
      this.sTipoGanado = Clonar.clon(tipoGanado);
    }
  }

}
</script>